Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236531 - RFE: Add support for old-style pin helper. [kdebluetooth, patch included]
Summary: RFE: Add support for old-style pin helper. [kdebluetooth, patch included]
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 07:37 UTC by Gilboa Davara
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-27 14:06:30 UTC


Attachments (Terms of Use)
old-style pin-helper patch (deleted)
2007-04-16 07:37 UTC, Gilboa Davara
no flags Details | Diff
bluez-utils spec patch. (deleted)
2007-04-16 07:39 UTC, Gilboa Davara
no flags Details | Diff

Description Gilboa Davara 2007-04-16 07:37:14 UTC
Description of problem:
I'm trying to fast-track the submission of kdebluetooth into KDE/F7.
Unlike it's counter-part, kdebluetooth doesn't include new-style DBUS based
kdepin and require old-style pin helper.
While upstream is working on a DBUS-enabled version, I doubt that it'll be ready
before KDE4/F8.
The attached patch [1] was made by one of the kdebluetooth and 'seems' to work
just fine with kdebluetotho -without- breaking bluez-utils-gnome.

This patch also adds passkey-agent.

[1] http://www.kmobiletools.org/files/bluez-pin-exec-patch-r3.diff.bz2

Comment 1 Gilboa Davara 2007-04-16 07:37:14 UTC
Created attachment 152670 [details]
old-style pin-helper patch

Comment 2 Gilboa Davara 2007-04-16 07:39:24 UTC
Created attachment 152671 [details]
bluez-utils spec patch.

Just for reference, bluez-utils.spec.patch. (What I used for testing under both
GNOME and KDE)

Comment 3 Gilboa Davara 2007-04-16 07:47:15 UTC
FYI, I saw references to this patch in Debian, Ubunutu, Manriva, etc.
I have no idea if anyone is actually using it.

- Gilboa

Comment 4 David Woodhouse 2007-04-16 09:50:49 UTC
I would normally suggest that if you can't just fix your package to keep up,
then you aren't qualified as a package maintainer.

But then again, this is DBus. So maybe I can have sympathy. I don't really
consider myself qualified to maintain the bluez-utils package these days either,
because of its extensive use of DBus. Deferring to Marcel...

Comment 5 Gilboa Davara 2007-04-23 08:57:32 UTC
Sorry for the late reply.
A. Given the time constraint (F7 is just around the corner, F7/KDE requires
this functionality), being an out-sider (I'm not a member of the kdebluetooth
tema), I doubt that it'll be possible for me to hack and test kdebluetooth fast
enough to get it accepted on time.
B. kdebluetooth team -is- working on a DBUS patch for KDE4 that will
eventually be back-ported to KDE 3.5.x. There's no use to doing things twice.
(Again, given the fact that there's a working patch)

On a side note, not all packagers are programmers. While I am, limiting Fedora
maintainer ranks to seasoned programmers only doesn't strike me a wise choice.

- Gilboa


Comment 6 Gilboa Davara 2007-05-26 07:27:29 UTC
BTW, I may retire this patch request.
If all goes well, I should have a working wrapper next week. (I'm still
struggling with the lack of documentation on bluez-utils-dbus interface.

If it works, it should be sufficient to keep kdebluetooth working until
kdebluetooth + qt-dbus combo will be released.

- Gilboa


Comment 7 Gilboa Davara 2007-05-27 14:06:30 UTC
OK. The wrapper seems to be working.
I'm currently looking to get it included upstream into bluez-utils.
(The wrapper is rather generic - it can also support script tools such as dialog
and zenity.)

In short, this RFE can be closed. Should I do it myself?

- Gilboa


Comment 8 Gilboa Davara 2007-05-27 14:10:51 UTC
Closed.


Note You need to log in before you can comment on or make changes to this bug.